<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.BuildingBlockRepository']}</h1>
        <div class="row">
            <div class="col-md-12">
                <h:form id="globalform">
                    #{buildingBlockRepositoryManager.initSelectedBuildingBlockRepository()}
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:param name="styleClass" value="panel-info"/>
                        <ui:define name="panel_title">#{messages['net.ihe.gazelle.BBRView']}</ui:define>
                        <dl class="dl-horizontal">
                            <s:decorate id="bbrUrlDecoration"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.BBRDownload']}</ui:define>

                                <h:panelGroup rendered="#{!buildingBlockRepositoryManager.selectedBuildingBlockRepository.isOnline()}">
                                    <h:commandLink
                                            title="#{messages['net.ihe.gazelle.cdagen.Download']}"
                                            action="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.download()}">
                                        <span class="gzl-icon-download"/>
                                    </h:commandLink>
                                </h:panelGroup>
                                <h:panelGroup rendered="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.isOnline()}">
                                    <h:outputLink
                                            title="#{messages['net.ihe.gazelle.cdagen.Download']}"
                                            value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.url}">
                                        <span class="gzl-icon-download"/>
                                    </h:outputLink>
                                </h:panelGroup>
                            </s:decorate>
                            <s:decorate id="validatorNameDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.ValidatorName_2']}</ui:define>
                                <h:outputText
                                        value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.label}"/>
                            </s:decorate>
                            <s:decorate id="versionDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.version']}</ui:define>
                                <h:outputText
                                        value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.version}"/>
                            </s:decorate>
                            <s:decorate id="creationDateDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.CreationDate']}</ui:define>
                                <h:outputText
                                        value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.creationDate}"/>
                            </s:decorate>
                            <s:decorate id="buildingDateDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.BuildingDate']}</ui:define>
                                <h:panelGroup rendered="#{!buildingBlockRepositoryManager.selectedBuildingBlockRepository.alreadyBuilt()}">
                                    <h:outputText value="#{messages['net.ihe.gazelle.NeverBuilt']}"/>
                                </h:panelGroup>
                                <h:panelGroup rendered="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.alreadyBuilt()}">
                                    <h:outputText value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.buildingDate}"/>
                                </h:panelGroup>
                            </s:decorate>
                            <s:decorate id="statusDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.Status']}</ui:define>
                                <h:outputText
                                        value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.status}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.Active']}</ui:define>
                                <h:outputText
                                        value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.active}"/>
                            </s:decorate>
                        </dl>
                        <ui:define name="panel_footer">
                            <h:commandLink value="#{messages['net.ihe.gazelle.cdagen.Back']}"
                                           styleClass="gzl-btn"
                                           onclick="window.history.go(-1); return false;"/>
                            <h:outputLink
                                    styleClass="gzl-btn-blue"
                                    value="#{request.contextPath}/admin/buildingBlockRepository/edit.seam">
                                <f:param name="bbrId" value="#{buildingBlockRepositoryManager.selectedBuildingBlockRepository.id}"/>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.cdagen.Edit']}"/>
                            </h:outputLink>
                        </ui:define>
                    </ui:decorate>
                </h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>